## dh-shell-completions 0.0.2

=== debian/changelog ===
dh-shell-completions (0.0.2) unstable; urgency=medium

  * Fix target name matching for .fish extension
  * Fix a typo in man page for --with

 -- Blair Noctis <ncts@debian.org>  Sun, 08 Sep 2024 22:38:59 +0000

dh-shell-completions (0.0.1) unstable; urgency=medium

  * Initial release.

 -- Blair Noctis <ncts@debian.org>  Tue, 03 Sep 2024 15:30:48 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

dh_shell_completions.1:
	pod2man \
		--center 'Debhelper shell completions addon' \
		--release $(DEB_VERSION) \
		dh_shell_completions > dh_shell_completions.1

execute_after_dh_auto_build: dh_shell_completions.1

## dh-shell-completions 0.0.3

=== debian/changelog ===
dh-shell-completions (0.0.3) unstable; urgency=medium

  * Add generation and composite modes

 -- Blair Noctis <ncts@debian.org>  Mon, 16 Sep 2024 19:43:49 +0000

## dh-shell-completions 0.0.4

=== debian/changelog ===
dh-shell-completions (0.0.4) unstable; urgency=medium

  * Fix empty name in generation mode when it's not explicitly specified

 -- Blair Noctis <ncts@debian.org>  Sat, 19 Oct 2024 14:38:57 +0000

## dh-shell-completions 0.1.0

=== Makefile ===
TESTS = test-gen test-composite test-separate

.PHONY: test $(TESTS) 

test: $(TESTS)

test-gen:
	tests/run.sh gen

test-composite:
	tests/run.sh composite

test-separate:
	tests/run.sh separate

=== debian/changelog ===
dh-shell-completions (0.1.0) unstable; urgency=medium

  [ NoisyCoil ]
  * Improve generation mode doc

  [ Blair Noctis ]
  * verbose_print some info
  * Error out in composite mode for unknown shell
  * Bump to 0.1.0
  * Add some simple tests
  * Fix composite/separate modes using the wrong variable for $shell
  * Fix generation mode placeholder substituted only once

 -- Blair Noctis <ncts@debian.org>  Sat, 11 Jan 2025 14:29:01 +0000

=== tests/composite/debian/changelog ===
composite (0.0.0) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Blair Noctis <ncts@debian.org>  Sat, 11 Jan 2025 14:59:05 +0000

=== tests/gen/debian/changelog ===
gen (0.0.0) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Blair Noctis <ncts@debian.org>  Sat, 11 Jan 2025 14:59:05 +0000

=== tests/separate/debian/changelog ===
separate (0.0.0) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Blair Noctis <ncts@debian.org>  Sat, 11 Jan 2025 14:59:05 +0000

=== debian/control ===
Source: dh-shell-completions
Section: devel
Priority: optional
Maintainer: Blair Noctis <ncts@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/dh-shell-completions.git
Vcs-Browser: https://salsa.debian.org/debian/dh-shell-completions
Rules-Requires-Root: no

Package: dh-shell-completions
Architecture: all
Multi-Arch: foreign
Provides: dh-sequence-shell-completions
Depends: debhelper, ${misc:Depends}
Description: debhelper addon to install shell completions
 Easier installing of shell completions.
 Like dh_bash-completion from bash-completion, but with support for multiple
 shells.
 Currently supports bash, fish, and zsh.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@
+	dh $@ --no-parallel
+
+execute_after_dh_auto_clean:
+	tests/clean.sh
 
 dh_shell_completions.1:
 	pod2man \
@@ -12,3 +15,4 @@
 		dh_shell_completions > dh_shell_completions.1
 
 execute_after_dh_auto_build: dh_shell_completions.1
+

=== tests/composite/debian/control ===
Source: composite
Build-Depends: debhelper-compat (= 13)

Package: composite
Architecture: any

=== tests/gen/debian/control ===
Source: gen
Build-Depends: debhelper-compat (= 13)

Package: gen
Architecture: any

=== tests/separate/debian/control ===
Source: separate
Build-Depends: debhelper-compat (= 13)

Package: separate
Architecture: any

## dh-shell-completions 0.1.0build1

=== debian/changelog ===
dh-shell-completions (0.1.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:01:03 +0000
